Bug 385091 - TBb2a27cb7 NCHardwareList.py:361:updateFromKudzu:NameError: global name '_HardwareList__isdnmodulelist' is not defined
TBb2a27cb7 NCHardwareList.py:361:updateFromKudzu:NameError: global name '_Har...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 12:43 EST by Ari Feinberg
Modified: 2008-04-22 18:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.5.5-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 18:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Automatically Generated Report (2.21 KB, text/plain)
2007-11-15 12:43 EST, Ari Feinberg
no flags Details

  None (edit)
Description Ari Feinberg 2007-11-15 12:43:51 EST
Description of problem:
When executed (either from command line or menu), system-config-network does not
launch but instead an unhandled exception is reported.  Occurs when launching
gui, tui, and cmd.

Version-Release number of selected component (if applicable):
Version: 1.4.3

How reproducible:
I just have to try to launch the program.

Steps to Reproduce:
1.  Launch Program
2.
3.
  
Actual results:
Unhandled Exception

Expected results:
system-config-network

Additional info:
Comment 1 Ari Feinberg 2007-11-15 12:43:51 EST
Created attachment 260121 [details]
Automatically Generated Report
Comment 2 Harald Hoyer 2008-03-31 06:24:12 EDT
Component: system-config-network
Version: 1.4.3
Summary: TBb2a27cb7 NCHardwareList.py:361:updateFromKudzu:NameError: global name
'_HardwareList__isdnmodulelist' is not defined

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in runit
    window = mainDialog()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
253, in __init__
    self.load()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
276, in load
    self.loadDevices()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
284, in loadDevices
    devicelist = getDeviceList()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 302,
in getDeviceList
    __DVList.load()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 74,
in load
    hwlist = NCHardwareList.getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
780, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
635, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
473, in updateFromSystem
    self.updateFromKudzu()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
361, in updateFromKudzu
    if (kudzu_device.driver + '.o' in __isdnmodulelist) or \
NameError: global name '_HardwareList__isdnmodulelist' is not defined

Local variables in innermost frame:
ethlist: ['lo', 'eth0', 'eth1', 'virbr0']
kudzu: <module 'kudzu' from '/usr/lib/python2.5/site-packages/kudzu.pyc'>
self: 
hdellist: []
modules: <netconfpkg.NCHardwareList.MyConfModules instance at 0x89fdf6c>
kudzu_device: Desc:           Adaptec, Inc. APA-1460 SCSI Host Adapter Version 0.01
Driver:         aha152x_cs
Device:         None

kudzulist: [Desc:           Adaptec, Inc. APA-1460 SCSI Host Adapter Version 0.01
Driver:         aha152x_cs
Device:         None
, Desc:           Broadcom Corporation NetXtreme BCM5751 Gigabit Ethernet PCI
Express
Driver:         tg3
Device:         eth0
, Desc:           Intel Corporation PRO/Wireless 2200BG Network Connection
Driver:         ipw2200
Device:         eth1
]
Comment 3 Harald Hoyer 2008-03-31 06:25:26 EDT
should be fixed in newer versions
Comment 4 Fedora Update System 2008-04-07 10:34:27 EDT
system-config-network-1.5.5-1.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-04-09 01:19:45 EDT
system-config-network-1.5.5-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-network'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2995
Comment 6 Fedora Update System 2008-04-22 18:38:32 EDT
system-config-network-1.5.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.